Subject: FVWM: [FVWM 2.0.37]: Two bugs

From: Jose M. Pereira <[email-masked]>
Date: Tue, 10 Oct 95 18:28:37 +0100

1) FvwmButtons: Exec "" (don't "depress" the button) doesn't work.

Example:

*FvwmButtons Xv   none   Exec "" exec xv &

Produces a button, but when clicked on doesn't do anything but the message

/bin/sh: : cannot execute

Cause: the command line sent to sh starts w/ ""...

Patch (I think...)

*** FvwmButtons.c~	Tue Oct 10 18:11:50 1995
--- FvwmButtons.c	Tue Oct 10 18:14:00 1995
***************
*** 376,382 ****
  			}
  		      else
  			{
! 			  i2 = 4;
  			}
  		      tmp=safemalloc(strlen(Buttons[CurrentButton].action));
  		      strcpy(tmp,"Exec ");
--- 376,382 ----
  			}
  		      else
  			{
! 			  i2++;
  			}
  		      tmp=safemalloc(strlen(Buttons[CurrentButton].action));
  		      strcpy(tmp,"Exec ");

2) A window w/ a "*" (or a "%") in its name is shown by the internal window
list as having a null name. The FvwmWinList module works correctly, but its
slowness and lack of usability puts it off...

Suggestion: (fvwm/menus.c, AddMenu f.) if a pixmap can't be found for a window
name including an escape character, maintain the initial string in the menu
entry. Sorry, don't have a patch, since AddMenu() & friends are truly
obfuscated code...

Keep on the good work, Chuck.

-- 
Jose' Pereira
	     INESC (Inst. Eng. Sistemas e Computadores)
             R. Alves Redol 9, 6. 1000 Lisboa, PORTUGAL.
             Phone.: +351 1 3100223 Fax...: +351 1 525843
 e-mail: [email-masked] PGP PUBLIC KEY: finger -m pereira @sabrina.inesc.pt
		<< Hit any user to continue >>
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Tue, 17 Oct 1995 10:25:59 -0400

>>>>> "Jose" == Jose M Pereira <[email-masked]> writes:

Jose> 1) FvwmButtons: Exec "" (don't "depress" the button) doesn't work.
Jose> Example:

Jose> *FvwmButtons Xv   none   Exec "" exec xv &

Jose> Produces a button, but when clicked on doesn't do anything but
Jose> the message

Jose> /bin/sh: : cannot execute

Jose> Cause: the command line sent to sh starts w/ ""...

Jose> Patch (I think...)
....

I just tried that out and it seems to be the right thing.  Look for it
in pl38.

Jose> 2) A window w/ a "*" (or a "%") in its name is shown by the
Jose> internal window list as having a null name. The FvwmWinList
Jose> module works correctly, but its slowness and lack of usability
Jose> puts it off...

Jose> Suggestion: (fvwm/menus.c, AddMenu f.) if a pixmap can't be
Jose> found for a window name including an escape character, maintain
Jose> the initial string in the menu entry. Sorry, don't have a patch,
Jose> since AddMenu() & friends are truly obfuscated code...

Ok, I know what the problem is here.  I can think of two ways to fix
it, so now I just have to decide what the "right" way is.  It'll be in
pl38.

Jose> Keep on the good work, Chuck.

I'm tryin'.

Thanks,
Chuck

*******************************************************************************
Charles K. Hines
IBM Logic Synthesis developer [BooleDozer (TM)]
and Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

Internet e-mail:     [email-masked]

IBM Internal e-mail: [email-masked]   (preferred from workstation)
                     HINESC at FISHKILL       (preferred from mainframe)
                     HINESC at FSHVMFK1       (discouraged, but I'll get it)

*******************************************************************************
 "dis ting could have possabiwities if I put my twisted widdle mind to it!"
                                                        - Bugs Bunny

 "I have a paper plate in my head because they were all out of the metal ones"
                                                        - Rick Overton
*******************************************************************************
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].